<template>
  <lightning-card >
    <div class="slds-border_top slds-border_bottom slds-border_right slds-border_left">
      <div class="slds-page-header">
        <h1 slot="title" class="slds-text-heading_medium .slds-text-title_bold">
            <span class="slds-var-p-around_medium" >
              <lightning-icon icon-name={iconName} size="medium"></lightning-icon>
            </span>
              {tableTitle}
        </h1>
      </div>
      <lightning-datatable
        key-field="id"
        data={mydata}
        columns={mycolumns}
        hide-checkbox-column=true>
      </lightning-datatable>
    </div>
  </lightning-card>
</template>